- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
SignOn::ConnectionManager Class Reference
Inheritance diagram for SignOn::ConnectionManager:
[legend]

## Public Slots
void | connect ()

## Signals
void | connected (const QDBusConnection &connection)
void | disconnected ()

## Public Member Functions
| ConnectionManager (QObject *parent=0)
bool | hasConnection () const
const QDBusConnection & | connection () const

## Static Public Member Functions
static ConnectionManager * | instance ()
static const QDBusConnection & | get ()

## Detailed Description

Definition at line 33 of file connection-manager.h.

The documentation for this class was generated from the following files:

- connection-manager.h
- connection-manager.cpp